#!/usr/bin/env bash

#=============================================================================
# install.sh --- bootstrap script for neovim
# Copyright (c) 2024-2024 Wenwen Zhang & Contributors
# Author: Wenwen Zhang < zhangwenwen1000@gmail.com >
# URL: 
# License: GPLv3
#=============================================================================

echo "NeoVim Configuration Installation Script is Running..."

cd ~

CONFIGBASE="myconfig.nvim"

CONFIG_DIR=".config"

TIMESTAMP=$(date "+%Y-%m-%d_%H:%M:%S")


echo "Backup" "$CONFIG_DIR"/nvim to  "$CONFIG_DIR"/nvim "_" "$TIMESTAMP"

if [ -d "$CONFIG_DIR/nvim" ]; then 
	mv $CONFIG_DIR/nvim $CONFIG_DIR/nvim_BACKUP_$TIMESTAMP
else
	if [ -d "$CONFIG_DIR" ]; then 
		echo $CONFIG_DIR is existing...
	#else
		# mkdir .config
	fi
fi

set -x

git clone http://8.130.160.147:3000/Configs/$CONFIGBASE.git

mv $CONFIGBASE/config/nvim $CONFIG_DIR

rm -rf $CONFIGBASE
 

echo "Config vim-plug for neovim ..."

if [ -f "${XDG_DATA_HOME:-$HOME/.local/share}/nvim/site/autoload/plug.vim" ]; then 
	echo "${XDG_DATA_HOME:-$HOME/.local/share}/nvim/site/autoload/plug.vim" is existing...
else
	sh -c 'curl -fLo "${XDG_DATA_HOME:-$HOME/.local/share}"/nvim/site/autoload/plug.vim --create-dirs \
       https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim'
fi


echo "Done! Finished install vim Configuration."

